Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for property notify event

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Jan 2013 12:19:12 -0500

>> http://www.straightrunning.com/XmingNotes/, a packaging of 'mainly
>> from the X.org source code with patches applied'.
> Ah, so you are running Emacs through a remote X connection.  That is the
> reason for the slowdown: the Emacs binary needs to transfer the X
> primary selection to the server over the network.

IIUC in his example, only the ownership of the selection needs to be
transferred, not the selection itself, so the size of the selection
shouldn't matter.
Unless he has some extra software (like some clipboard applets) that
systematically keeps takes a copy of those things, tho I don't remember
hearing of a case where the PRIMARY was (mis)handled this way (contrary
to the CLIPBOARD selection, where there've been many such mishandling
by naive applets).

        Stefan